#version 330

// It is OK we set only 'xyz' components from CPU. 'w' is set to 1 by default
in vec4 position;

// Variables for our simple light
in vec3 normal;
out vec3 VS_normal;
uniform mat3 normal_matrix;

// All the matrices are already multiplied in C++ code into single PVM matrix
uniform mat4 PVM_matrix;

void main()
{
    // Transform the vertex using the matrices we created and multiplied in C++
    gl_Position = PVM_matrix * position;

    // For our simple light
    VS_normal = normal_matrix * normal;
}
